html, body {
  min-width: 300px;
}

@media (max-width: 349px) {
  #language-menu {
    left: 0;
  }
}

@media (min-width: 350px) {
  #language-menu {
    right: 12rem; /* .shopping-cart-info width (10rem) + .info-container right margin (1rem) + .language-info right margin (1rem) */
  }
}

.language-button {
  margin-bottom: 1px;
  padding: 3px 6px;
  font-size: .8125rem;
}

.language-button:last-of-type {
  margin-bottom: 0;
}

#language-menu {
  padding: 3px;
}

@media (max-width: 349px) {
  #shopping-cart-menu {
    left: 0;
  }
}

@media (min-width: 350px) {
  #shopping-cart-menu {
    right: 1rem; /* .info-container right margin (1rem) */
  }
}

/* courtesy of: http://hackingui.com/front-end/a-pure-css-solution-for-multiline-text-truncation/ */
/* styles for '...' */
.block-with-text {
  /* Adding to shrink the width so the ellipsis aren't up against the edge of the next component */
  width: calc(100% - 1rem);
  /* hide text if it more than N lines  */
  overflow: hidden;
  /* for set '...' in absolute position */
  position: relative;
  /* use this value to count block height */
  line-height: 1.2em;
  /* max-height = line-height (1.2) * lines max number (3) */
  max-height: 3.6em;
  /* fix problem when last visible word doesn't adjoin right side  */
  text-align: justify;
  /* place for '...' */
  margin-right: -1em;
  padding-right: 1em;
}
/* create the ... */
.block-with-text:before {
  /* points in the end */
  content: '...';
  /* absolute position */
  position: absolute;
  /* set position to right bottom corner of block */
  right: 0;
  bottom: 0;
}
/* hide ... if we have text, which is less than or equal to max lines */
.block-with-text:after {
  /* points in the end */
  content: '';
  /* absolute position */
  position: absolute;
  /* set position to right bottom corner of text */
  right: 0;
  /* set width and height */
  width: 1em;
  height: 1em;
  margin-top: 0.2em;
  /* bg color = bg color under block */
  background: #f0fff4; /* Must match the background color of the page this is used on. */
}